<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
        <ion-button fill="clear" (click)="dismiss()">{{"CLOSE" | translate}}</ion-button>
    </ion-buttons>
    <ion-title>{{"AIR_CONTENT_MEASURE" | translate}}</ion-title>
    <ion-buttons slot="end">
        <ion-button (click)="scan()">
          {{ "SCAN" | translate }}
        </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding>
    <form [formGroup]="form"> 
        
  <ion-list>
    <ion-item-divider>
        {{"REALTIME" | translate}}
    </ion-item-divider>
    <ion-item lines="none">
        <ion-label style="text-align: center; color: rgb(56, 128, 255); font-size: 3em;"><b>{{realtime}} g</b></ion-label>
    </ion-item>
    <ion-item-divider>
        {{"INPUT_DATA" | translate}}
    </ion-item-divider>
        <ion-row>
            <ion-col size=5>
                <ion-label>{{"VESSEL_PLUS_CONCRETE" | translate}}</ion-label>
            </ion-col>
            <ion-col size=4>
                <ion-item>
                    <ion-input type="number" placeholder="0" name="concrete" (ionFocus)="onEvent($event)" formControlName="concrete" [value]="inputs[0]" readonly></ion-input>
                    <span>g</span>
                </ion-item>
            </ion-col>
            <ion-col size=3>
                <ion-button color="slackSub" (click)="apply()">{{"APPLY" | translate}}</ion-button>
            </ion-col>     
        </ion-row>
        <ion-row>
            <ion-col size=5>
                <ion-label>{{"VESSEL_PLUS_CONCRETE_PLUS_WATER" | translate}}</ion-label>
            </ion-col>
            <ion-col size=4>
                <ion-item>
                    <ion-input type="number" placeholder="0" name="water" (ionFocus)="onEvent($event)" formControlName="water" [value]="inputs[1]" #modelInput2 readonly></ion-input>
                    <span>g</span>
                </ion-item>
            </ion-col>
            <ion-col size=3>
                    <ion-button color="slackSub" (click)="apply2()">{{"APPLY" | translate}}</ion-button>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-item lines="none">
                    <ion-label>{{"INITIAL_PRESSURE" | translate}}</ion-label>
                </ion-item>
            </ion-col>
            <ion-col>
                <ion-item>
                    <ion-input type="number" placeholder="0" name="iPressure" (ionFocus)="onEvent($event)" formControlName="iPressure" [value]="pressure[0]" #modelInput3 readonly></ion-input>
                    <span>kPa</span>
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-item lines="none">
                    <ion-label>{{"EQUILIBRIUM_PRESSURE" | translate}}</ion-label>
                </ion-item>
            </ion-col>
            <ion-col>
                <ion-item>
                    <ion-input type="number" placeholder="0" name="ePressure" (ionFocus)="onEvent($event)" formControlName="ePressure" [value]="pressure[1]" readonly></ion-input>
                    <span>kPa</span>
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-item lines="none">
                    <ion-label>{{"AGGREGATE_CORRECTION_FACTOR" | translate}}</ion-label>
                </ion-item>
            </ion-col>
            <ion-col>
                <ion-item>
                    <ion-input type="number" placeholder="0" formControlName="coefficient"></ion-input>
                    <span>(%)</span>
                </ion-item>
            </ion-col>
        </ion-row>
        
    </ion-list>
    
    <ion-button color="slackSub" expand="full" (click)="calculator()" [disabled]="!form.valid">{{"MEASURE" | translate}}</ion-button>
    <br />
    <ion-item>
        <ion-label>{{"AIR_CONTENT" | translate}}Air</ion-label>
        <ion-input type="number" [value]="value" readonly></ion-input>
        <span>(%)</span>
    </ion-item>

    </form>
  </ion-content>

  <ion-footer>
    <ion-input [(ngModel)]="footnote" readonly></ion-input>
  </ion-footer>